import { Modal, ModalService } from '@zeedhi/common';

export class CostAnalysisModalController {
  private costAnalysisModal!: Modal;

  public async createCostAnalysisModal() {
    this.costAnalysisModal = await ModalService.createFromJson('/modals/costAnalysisModal', true);
  }

  public destroyCostAnalysisModal() {
    this.costAnalysisModal?.destroy();
  }

  public openCostAnalysisModal() {
    this.costAnalysisModal.show();
  }

  public closeCostAnalysisModal() {
    this.costAnalysisModal.hide();
  }
}
