import { Modal, ModalService } from '@zeedhi/common';

export class FinancialImpactModalController {
  private financialImpactModal!: Modal;

  public async createFinancialImpactModal() {
    this.financialImpactModal = await ModalService.createFromJson('/modals/financialImpactModal', true);
  }

  public destroyFinancialImpactModal() {
    this.financialImpactModal?.destroy();
  }

  public openFinancialImpactModal() {
    this.financialImpactModal.show();
  }

  public closeFinancialImpactModal() {
    this.financialImpactModal.hide();
  }
}
